## gate.security
Interface Group

All Known Implementing Classes:
  GroupImpl

public interface Group

Field Summary
`static int` `OBJECT_CHANGE_ADDUSER`
`static int` `OBJECT_CHANGE_NAME`
`static int` `OBJECT_CHANGE_REMOVEUSER`

Method Summary
`void` `addUser(Long userID, Session s)` ---
`void` `addUser(User usr, Session s)` ---
`Long` `getID()` ---
`String` `getName()` ---
`List` `getUsers()` ---
`void` `removeUser(Long userID, Session s)` ---
`void` `removeUser(User usr, Session s)` ---
`void` `setName(String newName, Session s)` ---

Field Detail

### OBJECT_CHANGE_NAME

    public static final int OBJECT_CHANGE_NAME

### OBJECT_CHANGE_ADDUSER

    public static final int OBJECT_CHANGE_ADDUSER

### OBJECT_CHANGE_REMOVEUSER

    public static final int OBJECT_CHANGE_REMOVEUSER

Method Detail

### getID

    public Long getID()

  ---

### getName

    public String getName()

  ---

### getUsers

    public List getUsers()

  ---

### setName

    public void setName(String newName,
                        Session s)
                 throws PersistenceException,
                        SecurityException

  ---

### addUser

    public void addUser(Long userID,
                        Session s)
                 throws PersistenceException,
                        SecurityException

  ---

### addUser

    public void addUser(User usr,
                        Session s)
                 throws PersistenceException,
                        SecurityException

  ---

### removeUser

    public void removeUser(Long userID,
                           Session s)
                    throws PersistenceException,
                           SecurityException

  ---

### removeUser

    public void removeUser(User usr,
                           Session s)
                    throws PersistenceException,
                           SecurityException

  ---